---
title: "List Virtual Accounts by Rapyd Wallet"
source_url: https://docs.rapyd.net/en/list-virtual-accounts-by-rapyd-wallet.html
lang: en
---

# List Virtual Accounts by Rapyd Wallet

List the virtual accounts that are attached to a Rapyd Wallet.

> **Note:**
>
> This endpoint replaces the deprecated endpoint - `GET /v1/issuing/bankaccounts/list`
>
> Rapyd no longer supports the deprecated endpoint.

### Parameters

### Request Path Parameters

- - ewallet
  - ID of the Rapyd Wallet that the virtual accounts were issued to. String starting with **ewallet_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - bank_accounts
  - Array of objects with details of the virtual accounts. Each object contains the following fields:

    - - account_id
      - The actual account number that was assigned to the virtual account when it was created.
    - - account_id_type
      - Type of the virtual account number, such as IBAN or CLABE.
    - - country_iso
      - Two-letter ISO 3166-1 ALPHA-2 code of the country of the virtual account.
    - - currency
      - Currency of the virtual account. Three-letter ISO 4217 code.
    - - issuing_id
      - ID of the virtual account number object. String starting with **issuing_**.
    - - requested_currency
      - Currency received by the virtual account after conversion. Uppercase. One of the following:

        - **AUD** - Australian Dollar
        - **EUR** - Euro
        - **GBP** - Pound Sterling
        - **HKD** - Hong Kong Dollar
        - **SGD** - Singapore Dollar
        - **USD** - US Dollar

        When not specified, the funds appear in the wallet’s currency account for the currency of the transaction.
    - - status
      - Indicates the status of the virtual account.

        - **ACT** - Active.
        - **CLO** - Closed.
        - **ERR** - Error.
        - **PEN** - Pending.
        - **REJ** - Rejected.
- - ewallet
  - ID of the Rapyd Wallet that the virtual accounts were issued to. String starting with **ewallet_**.

- /v1/ewallets/:ewallet/virtual_accounts

- List Virtual Accounts by Rapyd Wallet
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_c1943cfeda5f98247ab117e5d2648861/virtual_accounts' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "a8769913-d2fd-415d-869f-c3fc80ce221f"
      },
      "data": {
          "ewallet": "ewallet_c1943cfeda5f98247ab117e5d2648861",
          "bank_accounts": [
              {
                  "account_id": "GB8350601322287957055292",
                  "account_id_type": "iban",
                  "currency": "GBP",
                  "country_iso": "GB",
                  "issuing_id": "issuing_928dd64ce5070cb0257fac58e8651e9a",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "DE07202208000092780641",
                  "account_id_type": "iban",
                  "currency": "EUR",
                  "country_iso": "DE",
                  "issuing_id": "issuing_d11d404c919519c66ac61e14389f766a",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "DE07202208000092780641",
                  "account_id_type": "iban",
                  "currency": "EUR",
                  "country_iso": "DE",
                  "issuing_id": "issuing_582f1a7d41f57a78f508783cc4a73809",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "DE07202208000092780641",
                  "account_id_type": "iban",
                  "currency": "EUR",
                  "country_iso": "DE",
                  "issuing_id": "issuing_c523e8f5d4b380251643baff597dd588",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "5002001485351098",
                  "account_id_type": "account_number",
                  "currency": "USD",
                  "country_iso": "US",
                  "issuing_id": "issuing_98af2f0f4cf3fc405607286241549cac",
                  "status": "ACT",
                  "requested_currency": null
              },
              {
                  "account_id": "5002001485351098",
                  "account_id_type": "account_number",
                  "currency": "USD",
                  "country_iso": "US",
                  "issuing_id": "issuing_a51860197d7a6673e668edbe31bd7009",
                  "status": "ACT",
                  "requested_currency": null
              }
          ]
      }
  }
  ```
